> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletsuite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction history

> Returns recent transactions for the given address on a selected chain.



## OpenAPI

````yaml /openapi.json get /api/txs/history/{address}
openapi: 3.1.0
info:
  title: WalletSuite REST API
  description: >-
    Multi-chain wallet operations, balances, prices, and transaction lifecycle
    as a REST API.
  contact:
    name: WalletSuite
    url: https://walletsuite.io
  version: prod
servers:
  - url: https://api.walletsuite.io
    description: WalletSuite API
security:
  - ApiKeyAuth: []
tags:
  - name: Transactions
    description: >-
      Get transaction history by address, check live transaction status, and
      send signed transactions.
  - name: Fees
    description: Fee estimation endpoints
  - name: Balances
    description: Fetch balances on any supported chain (Ethereum, Tron).
  - name: Assets
    description: >-
      List supported blockchain assets from the database loaded at startup from
      bundled resources
  - name: Asset Status
    description: Asset enablement and restrictions.
  - name: Prices
    description: Fiat prices for symbols and contract addresses
  - name: Swaps
    description: Swap quote, route, and transaction building.
  - name: Approvals
    description: Allowance, approval tx data, and approval status.
  - name: NFTs
    description: NFT collections, tokens, owners, and transfer building.
  - name: Staking
    description: Native staking APR, validators, positions, and transaction building.
  - name: Name Service
    description: Name resolution and reverse resolution.
  - name: Chains
    description: Chain registry and chain capabilities.
  - name: Chain Specific
    description: Chain specific endpoints consumable by SDK.
  - name: Blocks
    description: View most recently indexed block information.
  - name: Info
    description: General information and summary counts.
paths:
  /api/txs/history/{address}:
    get:
      tags:
        - Transactions
      summary: Transaction history
      description: Returns recent transactions for the given address on a selected chain.
      operationId: historyByAddress
      parameters:
        - name: address
          in: path
          description: Address (EVM 0x… or Tron T…/41…)
          required: true
          schema:
            type: string
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
        - name: chain
          in: query
          description: Blockchain identifier
          required: false
          schema:
            type: string
            default: ethereum
          example: ethereum
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TxHistoryItem'
components:
  schemas:
    TxHistoryItem:
      type: object
      properties:
        hash:
          type: string
        chain:
          type: string
        blockNumber:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
        from:
          type: string
        to:
          type: string
        direction:
          type: string
        value:
          type: string
        displayValue:
          type: string
        txType:
          type: string
          enum:
            - TRANSFER_NATIVE
            - TRANSFER_TOKEN
            - CONTRACT_CREATION
            - CONTRACT_CALL
            - SWAP
            - STAKE
            - UNSTAKE
            - CLAIM_REWARDS
            - UNKNOWN
        tokenContract:
          type: string
        tokenSymbol:
          type: string
        tokenDecimals:
          type: integer
          format: int32
        tokenValue:
          type: string
        tokenDisplayValue:
          type: string
      required:
        - blockNumber
        - chain
        - direction
        - from
        - hash
        - timestamp
        - to
        - txType
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key provided by WalletSuite team
      name: x-api-key
      in: header

````